Tools used by OpenStack Documentation
Nevar pievienot vairāk kā 25 tēmas Tēmai ir jāsākas ar burtu vai ciparu, tā var saturēt domu zīmes ('-') un var būt līdz 35 simboliem gara.
Zuul 2b275421b0 Merge "Remove openstack-jsoncheck and openstack-indexpage" pirms 3 mēnešiem
bin Cleanup doc-tools-check-languages pirms 3 mēnešiem
doc/source Merge "Remove some commented obsolete lines" pirms 3 mēnešiem
os_doc_tools Remove openstack-jsoncheck and openstack-indexpage pirms 3 mēnešiem
releasenotes Remove openstack-jsoncheck and openstack-indexpage pirms 3 mēnešiem
sitemap Update docs building pirms 3 mēnešiem
test Remove openstack-jsoncheck and openstack-indexpage pirms 3 mēnešiem
.gitignore Switch to stestr pirms 1 gada
.gitreview OpenDev Migration Patch pirms 7 mēnešiem
.mailmap Add .mailmap pirms 5 gadiem
.stestr.conf Switch to stestr pirms 1 gada
.zuul.yaml Add Python 3 Train unit tests pirms 4 mēnešiem
CONTRIBUTING.rst Note to add 'jinja2' and 'markupsafe' to requirements pirms 3 gadiem
HACKING.rst Fix URLs pirms 2 gadiem
LICENSE Add LICENSE and README.rst pirms 6 gadiem
README.rst Replace git.openstack.org URLs with opendev.org URLs pirms 7 mēnešiem
RELEASE_NOTES.rst Fix URLs pirms 2 gadiem
bindep.txt add lower-constraints job pirms 1 gada
lower-constraints.txt Update docs building pirms 3 mēnešiem
requirements.txt Update docs building pirms 3 mēnešiem
setup.cfg Remove openstack-jsoncheck and openstack-indexpage pirms 3 mēnešiem
setup.py Updated from global requirements pirms 2 gadiem
test-requirements.txt Update docs building pirms 3 mēnešiem
tox.ini Update docs building pirms 3 mēnešiem

README.rst

Team and repository tags

image

OpenStack Doc Tools

This repository contains tools used by the OpenStack Documentation project.

For more details, see the OpenStack Documentation Contributor Guide.

Prerequisites

You need to have Python 2.7 installed for using the tools.

This package needs a few external dependencies including lxml. If you do not have lxml installed, you can either install python-lxml or have it installed automatically and build from sources. To build lxml from sources, you need a C compiler and the xml and xslt development packages installed.

To install python-lxml, execute the following based on your distribution.

On Fedora, RHEL 7, and CentOS 7:

$ yum install python-lxml

On openSUSE:

$ zypper in python-lxml

On Ubuntu:

$ apt-get install python-lxml

For building from source, install the dependencies of lxml.

On Fedora, RHEL 7, and CentOS 7:

$ yum install python-devel libxml2-devel libxslt-devel

On openSUSE:

$ zypper in libxslt-devel

On Ubuntu:

$ apt-get install libxml2-dev libxslt-dev